# $Revision: 1.10 $, $Date: 2011/05/19 19:39:33 $
Summary:	Library for handling TIFF files - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie TIFF - wersja skrośna MinGW32
%define		realname   libtiff
Name:		crossmingw32-%{realname}
Version:	3.9.5
Release:	2
License:	BSD-like
Group:		Development/Libraries
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
# Source0-md5:	8fc7ce3b4e1d0cc8a319336967815084
Patch0:		%{realname}-sec.patch
Patch1:		%{realname}-glut.patch
Patch2:		%{realname}-CVE-2009-2285.patch
URL:		http://www.remotesensing.org/libtiff/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libjpeg
BuildRequires:	crossmingw32-zlib
BuildRequires:	libtool
Requires:	crossmingw32-libjpeg
Requires:	crossmingw32-zlib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
This package is a library of functions that manipulate TIFF images
(cross MinGW32 version).

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę pozwalającą manipulować plikami w
formacie TIFF (w wersji skrośnej MinGW32).

%package static
Summary:	Static libtiff library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libtiff (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libtiff library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libtiff (wersja skrośna MinGW32).

%package dll
Summary:	DLL libtiff library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libtiff dla Windows
Group:		Applications/Emulators
Requires:	wine
Requires:	crossmingw32-libjpeg-dll
Requires:	crossmingw32-zlib-dll

%description dll
DLL libtiff library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libtiff dla Windows.

%package cxx
Summary:	libtiff C++ streams library (cross MinGW32 version)
Summary(pl.UTF-8):	Biblioteka strumieni C++ dla libtiff (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description cxx
libtiff C++ streams library (cross MinGW32 version).

%description cxx -l pl.UTF-8
Biblioteka strumieni C++ dla libtiff (wersja skrośna MinGW32).

%package cxx-static
Summary:	Static libtiff C++ streams library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka strumieni C++ dla libtiff (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name}-cxx = %{version}-%{release}

%description cxx-static
Static libtiff C++ streams library (cross MinGW32 version).

%description cxx-static -l pl.UTF-8
Statyczna biblioteka strumieni C++ dla libtiff (wersja skrośna
MinGW32).

%package cxx-dll
Summary:	DLL libtiff C++ streams library for Windows
Summary(pl.UTF-8):	Biblioteka DLL strumieni C++ libtiff dla Windows
Group:		Applications/Emulators
Requires:	%{name}-dll = %{version}-%{release}

%description cxx-dll
DLL libtiff C++ streams library for Windows.

%description cxx-dll -l pl.UTF-8
Biblioteka DLL strumieni C++ libtiff dla Windows.

%prep
%setup -q -n tiff-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1

%{__rm} m4/{libtool,lt*}.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	lt_cv_deplibs_check_method=pass_all \
	--target=%{target} \
	--host=%{target} \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/{doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog README TODO
%{_libdir}/libtiff.dll.a
%{_libdir}/libtiff.la
%{_includedir}/tiff*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libtiff.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libtiff-*.dll

%files cxx
%defattr(644,root,root,755)
%{_libdir}/libtiffxx.dll.a
%{_libdir}/libtiffxx.la
%{_includedir}/tiffio.hxx

%files cxx-static
%defattr(644,root,root,755)
%{_libdir}/libtiffxx.a

%files cxx-dll
%defattr(644,root,root,755)
%{_dlldir}/libtiffxx-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-libtiff.spec,v $
Revision 1.10  2011/05/19 19:39:33  qboosh
- fixed _dlldir
- release 2

Revision 1.9  2011/04/23 04:41:54  qboosh
- updated to 3.9.5

Revision 1.8  2010/09/19 05:38:58  qboosh
- unified MinGW32 caps

Revision 1.7  2010/07/10 20:18:33  qboosh
- updated to 3.9.4 (fixes CVE-2010-1411)

Revision 1.6  2010/03/21 21:08:45  qboosh
- updated to 3.9.2 (from libtiff.spec)

Revision 1.5  2008/01/14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.4  2007/03/07 19:47:51  qboosh
- BR: cross gcc-c++ for libtiffxx

Revision 1.3  2007/03/07 17:18:34  qboosh
- cleanup, separated -static,-dll

Revision 1.2  2007/02/25 15:05:42  czarny
- shared + static build

Revision 1.1  2007/02/20 23:27:38  czarny
- initial based on libtiff.spec
